<nb-card [nbSpinner]="loading">
  <nb-card-header>
    Orders <span class="text-disabled">({{allOrdersAmount}})</span>
  </nb-card-header>
  <nb-list>
    <nb-list-item *ngFor="let order of orderList">
      <div style="width: 100%;">
        <div class="row">
          <div class="col-md-1">Nr. {{order.orderkey}}</div>
          <div class="col-md-1">{{order.orderdate}}</div>
          <div class="col-md-2">
            <nb-tag [status]="statusNamePriority(order.orderpriority)" appearance="outline" [text]="'Priority: ' + trimPriority(order.orderpriority)"></nb-tag>
          </div>
          <div class="col-md-1">
            <nb-tag [status]="statusNameOrderstatus(order.orderstatus)"
                    [nbTooltip]="tooltipTextOrderstatus(order.orderstatus)"
                    nbTooltipPlacement="top"
                    appearance="outline"
                    [text]="'Status: ' + order.orderstatus"></nb-tag>
          </div>
          <div class="col-md-2">{{callFormatCurrencyHelper(order.totalprice)}}</div>
          <div class="col-md-2">{{getCustomerFromOrder(order).name}}</div>
          <div class="col-md-3">{{getNationFromOrder(order).name}}</div>
        </div>
      </div>
    </nb-list-item>
  </nb-list>
</nb-card>

<div class="centered sticky">
  <nb-button-group class="boxshadow" size="large" (valueChange)="updatePaginationSelectionValue($event)">
    <button nbButtonToggle *ngFor="let item of paginationPages; index as i" [pressed]="i === 0" [value]="i+1">{{i+1}}</button>
  </nb-button-group>
</div>
